## networking-baremetal 6.5.0+git2025030311.8b92ad8

=== debian/changelog ===
networking-baremetal (6.5.0+git2025030311.8b92ad8-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 05 Mar 2025 10:04:38 +0000

networking-baremetal (6.4.0+git2025011510.8b92ad8-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 22 Jan 2025 08:41:28 +0000

networking-baremetal (6.4.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 15:03:28 +0100

networking-baremetal (6.3.0+git2024080809.0bf02fbb-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 14 Aug 2024 11:24:51 +0100

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 6.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-hacking,
 python3-ironicclient,
 python3-keystoneauth1 (>= 3.14.0),
 python3-ncclient (>= 0.6.9),
 python3-neutron (>= 2:14.0.0.0b1),
 python3-neutron-lib (>= 1.28.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.31.2),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.service (>= 1.40.2),
 python3-oslo.utils (>= 3.40.2),
 python3-oslotest (>= 1:3.2.0),
 python3-stestr (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 2.5.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-baremetal
Homepage: https://opendev.org/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ironicclient,
 python3-keystoneauth1 (>= 3.14.0),
 python3-ncclient (>= 0.6.9),
 python3-neutron (>= 2:14.0.0.0b1),
 python3-neutron-lib (>= 1.28.0),
 python3-openstacksdk (>= 0.31.2),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.service (>= 1.40.2),
 python3-oslo.utils (>= 3.40.2),
 python3-pbr (>= 6.0.0),
 python3-tenacity (>= 6.0.0),
 python3-tooz (>= 2.5.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

## networking-baremetal 6.6.0

=== debian/changelog ===
networking-baremetal (6.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 09:00:25 +0200

networking-baremetal (6.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:23:47 +0100

networking-baremetal (6.5.0-1) experimental; urgency=medium

  * New upstraem release.
  * Fixed required version of pbr.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:44:41 +0100

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-ncclient,
 python3-neutron,
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service (>= 4.2.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-sphinxcontrib.apidoc,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal.git
Homepage: https://github.com/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ncclient,
 python3-keystoneauth1,
 python3-neutron,
 python3-neutron-lib,
 python3-openstacksdk,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service (>= 4.2.0),
 python3-oslo.utils,
 python3-pbr,
 python3-tenacity,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

## networking-baremetal 6.6.0+git2025070714.bb5cd29

=== debian/changelog ===
networking-baremetal (6.6.0+git2025070714.bb5cd29-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 15:58:48 -0700

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 6.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-hacking,
 python3-ironicclient,
 python3-keystoneauth1 (>= 3.14.0),
 python3-ncclient (>= 0.6.9),
 python3-neutron (>= 2:14.0.0.0b1),
 python3-neutron-lib (>= 1.28.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.31.2),
 python3-oslo.config (>= 1:9.7.1),
 python3-oslo.i18n (>= 6.3.0),
 python3-oslo.log (>= 5.5.1),
 python3-oslo.messaging (>= 14.6.0),
 python3-oslo.service (>= 1.40.2),
 python3-oslo.utils (>= 3.40.2),
 python3-oslotest (>= 1:3.2.0),
 python3-stestr (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 6.0.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-baremetal
Homepage: https://opendev.org/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ironicclient,
 python3-keystoneauth1 (>= 3.14.0),
 python3-ncclient (>= 0.6.9),
 python3-neutron (>= 2:14.0.0.0b1),
 python3-neutron-lib (>= 1.28.0),
 python3-openstacksdk (>= 0.31.2),
 python3-oslo.config (>= 1:9.7.1),
 python3-oslo.i18n (>= 6.3.0),
 python3-oslo.log (>= 5.5.1),
 python3-oslo.messaging (>= 14.6.0),
 python3-oslo.service (>= 1.40.2),
 python3-oslo.utils (>= 7.1.0),
 python3-pbr (>= 5.11.1),
 python3-tenacity (>= 6.0.0),
 python3-tooz (>= 6.0.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.

## networking-baremetal 7.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
ncclient>=0.6.9 # Apache-2.0
neutron-lib>=1.28.0 # Apache-2.0
oslo.config>=9.7.1 # Apache-2.0
oslo.i18n>=6.5.1 # Apache-2.0
oslo.log>=7.1.0 # Apache-2.0
oslo.utils>=8.2.0 # Apache-2.0
oslo.messaging>=16.1.0 # Apache-2.0
oslo.service[threading]>=4.2.0 # Apache-2.0
pbr>=6.0.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0
tooz>=6.3.0 # Apache-2.0
neutron>=14.0.0.0b1 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
keystoneauth1>=3.14.0 # Apache-2.0

=== doc/requirements.txt ===
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
networking-baremetal (7.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 15:04:15 -0700

=== debian/control ===
--- 
+++ 
@@ -23,11 +23,11 @@
  python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.31.2),
  python3-oslo.config (>= 1:9.7.1),
- python3-oslo.i18n (>= 6.3.0),
- python3-oslo.log (>= 5.5.1),
- python3-oslo.messaging (>= 14.6.0),
+ python3-oslo.i18n (>= 6.5.1),
+ python3-oslo.log (>= 7.1.0),
+ python3-oslo.messaging (>= 16.1.0),
  python3-oslo.service (>= 1.40.2),
- python3-oslo.utils (>= 3.40.2),
+ python3-oslo.utils (>= 8.2.0),
  python3-oslotest (>= 1:3.2.0),
  python3-stestr (>= 2.0.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
@@ -35,7 +35,7 @@
  python3-tenacity (>= 6.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-tooz (>= 6.0.1),
+ python3-tooz (>= 6.3.0),
  subunit,
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-baremetal
@@ -69,14 +69,14 @@
  python3-neutron-lib (>= 1.28.0),
  python3-openstacksdk (>= 0.31.2),
  python3-oslo.config (>= 1:9.7.1),
- python3-oslo.i18n (>= 6.3.0),
- python3-oslo.log (>= 5.5.1),
- python3-oslo.messaging (>= 14.6.0),
+ python3-oslo.i18n (>= 6.5.1),
+ python3-oslo.log (>= 7.1.0),
+ python3-oslo.messaging (>= 16.1.0),
  python3-oslo.service (>= 1.40.2),
- python3-oslo.utils (>= 7.1.0),
- python3-pbr (>= 5.11.1),
+ python3-oslo.utils (>= 8.2.0),
+ python3-pbr (>= 6.0.0),
  python3-tenacity (>= 6.0.0),
- python3-tooz (>= 6.0.1),
+ python3-tooz (>= 6.3.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack virtual network service - Ironic agent Python 3.x library

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

export PYBUILD_NAME=networking_baremetal

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py build --force ; \
	done

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
		
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'networking_baremetal.tests.*'
endif

	mkdir -p $(CURDIR)/debian/ironic-neutron-agent/usr/share/ironic-neutron-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-neutron-agent/usr/share/ironic-neutron-agent/ironic_neutron_agent.ini \
		--wrap-width 140 \
		--namespace ironic-neutron-agent \
		--namespace oslo.log

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/networking-baremetal/ networking_baremetal-(\d{1,2}\.\d.*)\.tar\.gz

## networking-baremetal 7.0.0+git20260115.4.6cb48fe

=== debian/changelog ===
networking-baremetal (7.0.0+git20260115.4.6cb48fe-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 7.0.0+git20260115.4.6cb48fe
  * d/patches/*: refresh patches
  * New upstream snapshot from 6cb48fe12baf140ef0c578814e06f01a4b8d7a16
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/install-missing-files.patch: Recursively install missing submodules
    from build process.
  * d/s/options: Exclude .eggs directory.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 14:54:14 -0800

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/networking-baremetal/ networking_baremetal-(\d{1,2}\.\d.*)\.tar\.gz

## networking-baremetal 7.1.0

=== requirements.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 oslo.messaging>=16.1.0 # Apache-2.0
 oslo.service[threading]>=4.2.0 # Apache-2.0
 pbr>=6.0.0 # Apache-2.0
-openstacksdk>=0.31.2 # Apache-2.0
+openstacksdk>=4.9.0 # Apache-2.0
 tooz>=6.3.0 # Apache-2.0
-neutron>=14.0.0.0b1 # Apache-2.0
+neutron>=27.0.0.0rc1 # Apache-2.0
 tenacity>=6.0.0 # Apache-2.0
 keystoneauth1>=3.14.0 # Apache-2.0

=== debian/changelog ===
networking-baremetal (7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add install-missing-files.patch. 

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 11:48:35 +0100

networking-baremetal (7.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047205).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 13:59:21 +0100

networking-baremetal (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:57:51 +0200

networking-baremetal (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of Neutron >= 2:27.0.0~rc1.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 12:27:44 +0200

=== debian/control ===
Source: networking-baremetal
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-ncclient,
 python3-neutron (>= 2:27.0.0~rc1),
 python3-neutron-lib,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 4.9.0),
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service (>= 4.2.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-sphinxcontrib.apidoc,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-baremetal.git
Homepage: https://github.com/openstack/networking-baremetal

Package: ironic-neutron-agent
Architecture: all
Section: python
Depends:
 neutron-common,
 python3-ironic-neutron-agent (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Ironic agent.

Package: python3-ironic-neutron-agent
Architecture: all
Section: python
Depends:
 python3-ncclient,
 python3-keystoneauth1,
 python3-neutron (>= 2:27.0.0~rc1),
 python3-neutron-lib,
 python3-openstacksdk (>= 4.9.0),
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.service (>= 4.2.0),
 python3-oslo.utils,
 python3-pbr,
 python3-tenacity,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Ironic agent Python 3.x library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3.x files for the Ironic agent.
